Page MenuHomePhabricator

Prevent double-registration of map events
Closed, ResolvedPublic

Description

Per IRC @Mattflaschen-WMF:

I don't see anything stopping [maplink/mapframe event handlers] from getting double-registered. wikipage.content can be fired more than once per page load, e.g. from VisualEditor.

Event Timeline

Yurik created this task.Jun 16 2016, 12:05 AM
Restricted Application added a project: Discovery. · View Herald TranscriptJun 16 2016, 12:05 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
Yurik moved this task from Backlog to To-do on the Maps-Sprint board.Jun 16 2016, 12:06 AM
Yurik moved this task from Unsorted to UI tasks on the Maps (Kartographer) board.Jun 16 2016, 11:06 PM
JGirault added a subscriber: Mattflaschen-WMF.
JGirault moved this task from To-do to In progress on the Maps-Sprint board.Aug 8 2016, 6:42 PM

Change 303712 had a related patch set uploaded (by JGirault):
Prevent double-registration of map events

https://gerrit.wikimedia.org/r/303712

Change 303712 merged by jenkins-bot:
Prevent double-registration of map events

https://gerrit.wikimedia.org/r/303712

JGirault closed this task as Resolved.Aug 9 2016, 12:57 AM
JGirault added a subscriber: Mattflaschen-WMF.